Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225120 - Request to add TIGCC tools to Fedora.
Summary: Request to add TIGCC tools to Fedora.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 03:52 UTC by Kim Lux
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-29 07:49:40 UTC


Attachments (Terms of Use)

Description Kim Lux 2007-01-29 03:52:44 UTC
Description of problem:

A really nice suite of Ti Calculator tools should be added to Fedora. (IMHO) 

I know this isn't directly a gcc related issue, but I couldn't figure out 
where else to put it. 

Version-Release number of selected component (if applicable):

tigcc 
tiemu
tilp

All latest versions from their respective websites. 

Additional info:

Texas Instruments makes a calculator called the TI 89 that uses a 68000 for 
the processor.  A TI89 has the same processor and more memory than the 
original Mac 128 ! 

A group of people have developed a gcc compiler (special version of the gcc 
68000 version) , an IDE, a "linking program" and an emulator for the 
calculator.  This group of tools allows users to write asm or C code on a PC 
and ultimately run it on the calculator.  

I think this is an outstanding achievement and the tools are worthwhile to 
consider including in the next Fedora extras.

The tools are not 100% perfect.  They could use a bit of polish here and 
there, but they are certainly functional.

The respective starting websites are:

http://en.wikipedia.org/wiki/TIGCC
http://en.wikipedia.org/wiki/TiEmu
http://en.wikipedia.org/wiki/TiLP

The team advocates using KTIGCC for the IDE, which is linked to from the TIGCC 
page. 

Thanks.

Comment 1 Jakub Jelinek 2007-01-29 07:49:40 UTC
You should either add it to http://fedoraproject.org/wiki/Extras/WishList
or better yet contribute those packages
http://fedoraproject.org/wiki/Extras/Contributors
or find somebody to do it.  This is really a wrong place to submit such a
request.

Comment 2 Kim Lux 2007-01-29 16:34:21 UTC
Thanks

Comment 3 Kevin Kofler 2007-04-29 15:32:01 UTC
I am planning to submit these, but my current packages need some cleanups. See 
http://repo.calcforge.org/ for now. In any case, the Fedora GCC maintainer is 
the wrong person to bug with this. ;-)


Note You need to log in before you can comment on or make changes to this bug.